Package org.jfree.report.modules.gui.swing.common

# Class AbstractExportActionPlugin

java.lang.Object
org.jfree.report.modules.gui.swing.common.AbstractActionPlugin
org.jfree.report.modules.gui.swing.common.AbstractExportActionPlugin

All Implemented Interfaces:
  `ActionPlugin`, `ExportActionPlugin`

Direct Known Subclasses:
  `HtmlFileExportActionPlugin`, `HtmlZipExportActionPlugin`, `PdfExportActionPlugin`

public abstract class AbstractExportActionPlugin extends AbstractActionPlugin implements ExportActionPlugin
Creation-Date: 02.12.2006, 14:21:07

Author:
  Thomas Morgner

## Field Summary

### Fields inherited from class org.jfree.report.modules.gui.swing.common.AbstractActionPlugin

`BASE_RESOURCE_CLASS`

## Constructor Summary

Constructors
Constructor
Description
`AbstractExportActionPlugin()`

## Method Summary

Modifier and Type
Method
Description
`protected ExportDialog`
`createExportDialog(String className)`
Creates a progress dialog, and tries to assign a parent based on the given preview proxy.
`boolean`
`performShowExportDialog(ReportJob job, String configKey)`
Exports a report.

### Methods inherited from class org.jfree.report.modules.gui.swing.common.AbstractActionPlugin

`addPropertyChangeListener, addPropertyChangeListener, createProgressDialog, getConfig, getConfigurationPrefix, getContext, getFailureDescription, getIconTheme, getMenuOrder, getPropertyChangeSupport, getRole, getRolePreference, getStatusText, getToolbarOrder, initialize, isAddToMenu, isAddToToolbar, isEnabled, isSeparated, removePropertyChangeListener, setEnabled, setStatusText`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jfree.report.modules.gui.swing.common.ActionPlugin

`addPropertyChangeListener, addPropertyChangeListener, getAcceleratorKey, getDisplayName, getLargeIcon, getMenuOrder, getMnemonicKey, getRole, getRolePreference, getShortDescription, getSmallIcon, getToolbarOrder, initialize, isAddToMenu, isAddToToolbar, isSeparated, removePropertyChangeListener`

### Methods inherited from interface org.jfree.report.modules.gui.swing.common.ExportActionPlugin

`performExport`

## Constructor Details

### AbstractExportActionPlugin

public AbstractExportActionPlugin()

## Method Details

### createExportDialog

protected ExportDialog createExportDialog(String className) throws InstantiationException
Creates a progress dialog, and tries to assign a parent based on the given preview proxy.

Returns:
  the progress dialog.
Throws:
  `InstantiationException`

### performShowExportDialog

public boolean performShowExportDialog(ReportJob job, String configKey)
Exports a report.

Returns:
  A boolean.